# OpenLayers.Symbolizer

Base class representing a symbolizer used for feature rendering.

Summary

OpenLayers.Symbolizer | Base class representing a symbolizer used for feature rendering.
Properties |
zIndex | {Number} The zIndex determines the rendering order for a symbolizer.
Constructor |
OpenLayers.Symbolizer | Instances of this class are not useful.
Functions |
clone | Create a copy of this symbolizer.

### Properties

### zIndex

{Number} The zIndex determines the rendering order for a symbolizer. Symbolizers with larger zIndex values are rendered over symbolizers with smaller zIndex values. Default is 0.

### Constructor

### OpenLayers.Symbolizer

Instances of this class are not useful. See one of the subclasses.

#### Parameters

config | {Object} An object containing properties to be set on the symbolizer. Any documented symbolizer property can be set at construction.

#### Returns

A new symbolizer.

### Functions

### clone

> clone: function()

Create a copy of this symbolizer.

Returns a symbolizer of the same type with the same properties.

> clone: function()

Create a copy of this symbolizer.
Close